<?php

namespace App\Enums;

enum PricelistFileStatusEnum: string
{
    case todo = 'todo';
    case inprogress = 'inprogress';
    case fail = 'fail';
    case done = 'done';
    case waiting_for_approval = 'waiting_for_approval';
    case closed = 'closed';

    public function label(): string
    {
        return match ($this) {
            self::todo => 'elvégzendő',
            self::inprogress => 'folyamatban',
            self::fail => 'hiba',
            self::done => 'elkészült',
            self::waiting_for_approval => 'jóváhagyásra vár',
            self::closed => 'lezárva',
        };
    }
}
